﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IMDN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IMDN')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IMDN on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IMDN] DEFAULT ((0)) FOR [IMDN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IWTF' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IWTF')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IWTF on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IWTF] DEFAULT ((0)) FOR [IWTF]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IsAuthRequired' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IsAuthRequired')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IsAuthRequired on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IsAuthRequired] DEFAULT ((0)) FOR [IsAuthRequired]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IsPassRequired' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IsPassRequired')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IsPassRequired on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IsPassRequired] DEFAULT ((0)) FOR [IsPassRequired]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IsReserved' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IsReserved')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IsReserved on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IsReserved] DEFAULT ((0)) FOR [IsReserved]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IsCommentable' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IsCommentable')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IsCommentable on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IsCommentable] DEFAULT ((0)) FOR [IsCommentable]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IsStockLoss' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IsStockLoss')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IsStockLoss on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IsStockLoss] DEFAULT ((0)) FOR [IsStockLoss]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IsKnownTheft' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IsKnownTheft')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IsKnownTheft on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IsKnownTheft] DEFAULT ((0)) FOR [IsKnownTheft]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IsIssueQuery' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IsIssueQuery')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IsIssueQuery on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IsIssueQuery] DEFAULT ((0)) FOR [IsIssueQuery]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SACODE' AND COLUMN_NAME = 'IsReceiptAdjustment' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SACODE_IsReceiptAdjustment')
BEGIN 
    PRINT 'Creating default constraint DF_SACODE_IsReceiptAdjustment on table SACODE' 
    ALTER TABLE [dbo].[SACODE]
    ADD CONSTRAINT [DF_SACODE_IsReceiptAdjustment] DEFAULT ((0)) FOR [IsReceiptAdjustment]
END 
GO

